15.00 - SPP4500 Error at line <line>, column <column>Statement INCLUDE SQLCA is invalid for ANSI environment. - Teradata Tools and Utilities

Teradata Preprocessor2 (SPP Prefix) Messages

prodname
Teradata Tools and Utilities
vrm_release
15.00
category
Programming Reference
featnum
B035-1096-015K

SPP4500 Error at line <line>, column <column>Statement INCLUDE SQLCA is invalid for ANSI environment.

Language:

C, COBOL, PL/I

Possible Cause:

The TRANSACT(ANSI) option is specified and the INCLUDE SQLCA statement has been defined.

Possible Solution:

Recode using an ANSI SQLCODE variable in place of INCLUDE SQLCA for ANSI applications. For Teradata applications, precompile with TRANSACT(BTET|COMMIT|2PC) option.